---
title: Papers accepted at ESOP 2017
---

Two papers from the concurrency project team have been accepted at 26th European Symposium on Programming [(ESOP 2017)](http://www.etaps.org/index.php/2017/esop),
which will take place this April in Uppsala, Sweden. The first paper, [Abstract Specifications for Concurrent Maps]({{site.baseurl}}{% link publications/Xiong2017Abstract.html %}), present the importance of abstract atomicity for reasoning fine-grained concurrent modules.
The second paper, [Caper: Automatic Verification for Fine-grained Concurrency]({{site.baseurl}}{% link publications/Dinsdale-Young2017Caper.html %}), presents a prototype tool for automated reasoning about concurrent modules. 

The first paper, submitted by [Shale Xiong](https://vtss.doc.ic.ac.uk/people/xiong.html), [Pedro Da Rocha Pinto]({{site.baseurl}}{% link _people/da-rocha-pinto.md %}), 
[Gian Ntzik](https://vtss.doc.ic.ac.uk/people/ntzik.html) and [Philippa Gardner]({{site.baseurl}}{% link _people/gardner.md %}),
[Abstract Specifications for Concurrent Maps]({{site.baseurl}}{% link publications/Xiong2017Abstract.html %}) demonstrates that abstract atomicity 
is key to give a specification for concurrent map that allows better client reasoning.
This paper also provides the first functional correctness proof of ConcurrentSkiplistMap in java.util.concurrent with respect to the abstract specification.

The second paper accepted, submitted by Pedro Da Rocha Pinto, in collaboration with [Thomas Dinsdale-Young](http://cs.au.dk/~tyoung/), 
[Kristoffer Just Andersen](http://pure.au.dk/portal/en/persons/id(5e842a19-8b76-487a-8082-06b6d6ff2545).html)
and [Lars Birkedal](http://www.cs.au.dk/~birke/) from Aarhus University is [Caper: Automatic Verification for Fine-grained Concurrency]({{site.baseurl}}{% link publications/Dinsdale-Young2017Caper.html %}).
The paper presents [Caper](https://github.com/caper-tool/caper), a prototype tool for automated reasoning about concurrent modules.
Caper is based on symbolic execution, integrating reasoning about interference on shared resources. This enables Caper to verify the functional correctness of fine-grained concurrent modules.
