---
title: Paper accepted at CSF'17 
---
Emanuele D'Osualdo has had a paper accepted at this year's [Computer Security Foundations Symposium (CSF)](http://csf2017.tecnico.ulisboa.pt/index.html).

Emanuele's paper, in collaboration with [Luke Ong](http://www.cs.ox.ac.uk/luke.ong/), University of Oxford, UK and [Alwen Tiu](http://www.ntu.edu.sg/home/atiu/), 
Nanyang Technological University, Singapore, is entitled ['Deciding Secrecy of Security Protocols for an Unbounded Number of Sessions: The Case of Depth-bounded Processes'](http://www.emanueledosualdo.com/research/papers/2017/csf-decidable-secrecy.html).

In the paper, the authors introduce a new class of security protocols with an unbounded number of sessions and unlimited fresh data 
for which the problem of secrecy is decidable. The only constraint placed on the class is a notion of depth-boundedness. 
They prove that, restricted to messages of up to a given size, secrecy is decidable for all depth-bounded processes. 
This decidable fragment of security protocols captures many real-world symmetric key protocols, including Needham-Schroeder Symmetric Key, 
Otway-Rees, and Yahalom.

CSF'17 is an annual conference for researchers in computer security, to examine current theories of security, 
the formal models that provide a context for those theories, and techniques for verifying security. 
Originally a workshop of the [IEEE Computer Society's Technical Committee on Security and Privacy](http://www.ieee-security.org/), 
the meeting became a “symposium” in 2007, with a number of important papers and techniques having been presented first at CSF. 
This year's papers are now available on the [CSF'17 conference's website](http://csf2017.tecnico.ulisboa.pt/accepted.html).
