---
title: Talk by Dr Justin Hsu, From Couplings to Probabilistic Relational Program Logics
---

[Dr Justin Hsu](https://popl18.sigplan.org/profile/justinhsu) of University College of London visited the group this week to give a talk about probabilistic 
coupling: "From Couplings to Probabilistic Relational Program Logics".

Justin Hsu, a graduate from the University of Pennsylvania is currently a post-doctoral researcher at the University College of London. 
His research interests span formal verification and theoretical computer science, including verification of randomized algorithms, differential privacy, and game theory. 

The talk abstract was:

Many program properties are relational, comparing the behavior of a program (or even two different programs) on two different inputs. 
While researchers have developed various techniques for verifying such properties for standard, deterministic programs, relational properties 
for probabilistic programs have been more challenging. In this talk, I will survey recent developments targeting a range of probabilistic relational 
properties, with motivations from privacy, cryptography, machine learning. The key idea is to meld relational program logics with an idea from probability theory, 
called a probabilistic coupling. The logics allow a highly compositional and surprisingly general style of analysis, supporting clean proofs for a variety of 
probabilistic relational properties.