---
title: Formal Methods Meets JavaScript Workshop
redirect_from: /2018/03/14/formal-methods-meets-js.html
---
On Monday 19th March, we hosted a day of research talks on Programming Languages Formal Methods
researchers on topics including language specification, program verification, etc. with a focus on
research relating to the JavaScript language and ecosystem.

This event was organised to coincide with the March 2018 TC39 ECMAScript standards committee meeting at
Imperial and thus allow TC39 members and researchers working in the field to meet during an informal workshop.

You can find a list of the speakers and the slides for their talks below

  * [Avik Chaudhuri](https://avikchaudhuri.github.io/), Facebook California -- [Safe Types in Untyped Contexts]({{site.baseurl}}{% link slides/Safe_types_untyped_contexts.pdf %}) 
  * [Anders Møller](https://cs.au.dk/~amoeller/), Aarhus University -- [Systematic Approaches for Increasing Soundness and Precision of Static Analyzers]({{site.baseurl}}{% link slides/Systematic_approaches_for_increasing_soundness_and_precision_of_static_analyzers.pdf %})
  * [Karthik Bhargavan](http://prosecco.gforge.inria.fr/personal/karthik/), Inria Paris -- [Verifying Cryptographic Web Applications]({{site.baseurl}}{% link slides/Verifying_Cryptographic_Web_Application.pdf %})
  * [Nadim Kobeissi](https://nadim.computer/), Inria Paris & Symbolic Software -- [Bringing Formal Verification to the Real Web: Three Years of Interconnected Work]({{site.baseurl}}{% link slides/Towards_Formal_Verification_in_Cryptographic_Web_Applications.pdf %})
  * [Andreas Rossberg](https://people.mpi-sws.org/~rossberg/), Dfinity -- [Neither Web nor Assembly]({{site.baseurl}}{% link slides/Neither_Web nor_Assembly.pdf %})
  * [Conrad Watt](https://www.cl.cam.ac.uk/~caw77/), Cambridge University -- [Adventures in Mechanising and Verifying WebAssembly]({{site.baseurl}}{% link slides/adventures_in_machanising_and_verifying_webassembly.pdf %})
  * [Mark S. Miller](https://research.google.com/pubs/author35958.html), Google -- [Verify what? Navigating the Attack Surface]({{site.baseurl}}{% link slides/Verify_what_Navigating_the_Attack_Surface.pdf %})
  * [Erik Krogh Kristensen](https://webbies.dk/), Aarhus University -- [Testing and Evolving TypeScript Declaration Files with Program Analysis]({{site.baseurl}}{% link slides/Testing_and_Evolving_TypeScript_Declaration_Files_with_Program_Analysis.pdf %})
  * [Sophia Drossopoulou](https://wp.doc.ic.ac.uk/sd/), Imperial College London -- [Reasoning for Open Systems]({{site.baseurl}}{% link slides/Reasoning_for_Open_Systems.pdf %})
  * [Petar Maksimović](https://sites.google.com/site/petarmaksimovic1981/), Imperial College London -- [Logic-based Verification of JavaScript Programs]({{site.baseurl}}{% link slides/ECMA_JaVerT.pdf %})
  * [Johannes Kinder](http://www.cs.rhul.ac.uk/home/kinder/), Royal Holloway, University of London -- [Practical Dynamic Symbolic Execution of Standalone JavaScript]({{site.baseurl}}{% link slides/Practical_Dynamic_Symbolic_Execution_of_Standalone_JavaScript.pdf %})
  * [Alan Schmitt](http://people.rennes.inria.fr/Alan.Schmitt/), Inria Rennes -- [From JSCert to JSExplain and Beyond]({{site.baseurl}}{% link slides/From_JSCert_to_JSExplain_and_beyond.pdf %})
