---
title: Papers accepted at ECOOP 2020
---

Two papers by members of the group have been accepted at 
the [34th European Conference on Object-Oriented Programming, ECOOP 2020](https://2020.ecoop.org/home).

The paper by Gabriela, Jose, Petar and Philippa is entitled: [A Trusted Infrastructure 
for Symbolic Analysis of Event-Driven Web Applications](https://2020.ecoop.org/track/ecoop-2020-papers#event-overview).

It introduces a trusted infrastructure for symbolic analysis of modern event-driven Web applications. The infrastructure consists of reference implementations of the DOM Core Level 1 and UI Events, 
JavaScript Promises, and the JavaScript async/await APIs, all underpinned by a simple 
Core Event Semantics that is sufficiently expressive to describe the event models 
underlying all these APIs. The implementations follow the API respective standards 
line-by-line and have been thoroughly tested. An associated artifact was also 
accepted by the evaluation committee.

Shale, Andrea, Azalea and Philippa's paper, [Data Consistency in Transactional Storage Systems: 
A Centralised Semantics](https://2020.ecoop.org/details/ecoop-2020-papers/21/Data-Consistency-in-Transactional-Storage-Systems-A-Centralised-Semantics), 
presents an interleaving operational semantics for 
describing the client-observable behaviour of atomic transactions 
on distributed key-value stores.

ECOOP is Europe’s longest-standing annual Programming Languages (PL) conference, bringing together researchers, 
practitioners, and students working on all topics related to programming languages, 
software development, object-oriented technologies, 
systems and applications. All being well, this year's conference will take place in Berlin in July.

Congratulations to all!