---
title: Talk at College de France, Philippa Gardner
---

Philippa Gardner gave a talk on [Gillian: a Multi-language Platform for Compositional Symbolic Analysis](https://www.college-de-france.fr/site/xavier-leroy/seminar-2021-04-15-11h15.htm) at the [College de France](https://www.college-de-france.fr/site/institution/Le-College-Presentation.htm), as part of their Program logic seminars.

The talk was a  general introduction to [Gillian](https://vtss.doc.ic.ac.uk/research/gillian.html), a multi-language platform for the development of symbolic-execution tools. Gillian currently supports three types of analysis: whole-program symbolic testing; full verification based on separation logic; and automatic compositional testing based on bi-abduction. It uses a core symbolic execution engine with strong mathematical foundations that unifies bug catching and verification. So far, the Gillian team has instantiated Gillian to JavaScript and C, languages with substantially different memory models. These instantiations have been used: to find bugs in the real-world data-structure libraries Buckets.js and Collections-C; to find bugs and prove bounded correctness results for a real-world jQuery-like library, cash; and to verify the deserialisation function of the AWS Encryption SDK messaging system.

The video of the talk is available [on this link](https://www.college-de-france.fr/site/xavier-leroy/seminar-2021-04-15-11h15.htm). 
